Subject: Re: [PATCH 2/5] dt-bindings: connector: Add fsl,io-connector binding

From: Krzysztof Kozlowski <[email-masked]>
Date: Wed, 20 May 2026 09:08:42 +0200

On 20/05/2026 07:02, Chancel Liu (OSS) wrote:
>>>>>>> +description:
>>>>>>> +  The NXP I/O connector represents a physically present I/O
>>>>>>> +connector on the
>>>>>>> +  base board. It acts as a nexus that exposes a constrained set
>> of
>>>>>>> +I/O
>>>>>>> +  resources, such as GPIOs, clocks, PWMs and interrupts, through
>>>>>>> +fixed
>>>>>>> +  electrical wiring. All actual hardware providers reside on the
>> base
>>>> board.
>>>>>>> +  The connector node only defines index-based mappings to those
>>>>>> providers.
>>>>>>> +
>>>>>>> +properties:
>>>>>>> +  compatible:
>>>>>>> +    const: fsl,io-connector
>>>>>>
>>>>>> Everything is IO. Everything is connector, so your compatible does
>>>>>> not match requirements from writing bindings.
>>>>>>
>>>>>
>>>>> Yes, this compatible is too generic. I will rename the compatible to
>>>>> fsl,aud-io-connector.
>>>>
>>>> aud is not much better. Which boards have it? What's the pinout?
>> What's
>>>> standard? Is it described anywhere? If so, provide reference to
>> spec/docs.
>>>>
>>>
>>> This is not an industry standard electrical interface. This connector
>>
>> Then if you do not have standard, then you have board specific layouts
>> thus you need board-specific compatibles. You can use fallbacks. Generic
>> fallback could work, but both io-connector and aud-io-connector are just
>> too generic. Every connector is "connector" and "io", thus absolutely
>> anything can be "io-connector". "aud" improves it only a bit, thus
>> honestly I would go with board specific fallback as well.
>>
> 
> How about board specific + common fallback compatible like this:
>   compatible:
>     items:
>       - enum:
>           - fsl,imx95-19x19-evk-aud-io-connector
>           - fsl,imx952-evk-aud-io-connector
>       - const: fsl,imx-aud-io-connector
> Since the daughter board is named “IMX-AUD-IO” in publicly available

I don't think it is named like that.

git grep -i imx-aud-io

> documentation, common compatible clearly indicates that this connector
> is intended for that.
> 
> Also, I want to talk about the topic of generic connector. It's a common
> design that daughter board is connected to base board through a
> connector. This connector more often acts as a nexus that exposes a
> constrained subset of GPIO, clock, PWM and interrupt resources to the
> daughter board. Can we document this kind of connector as a generic
> binding?

So this binding is the connector between carrier and some addon? Then
you don't get a compatible for that at all, because it is not necessary,
not useful and NEVER used. Do you see socket LGA "connector" bindings? No.

Best regards,
Krzysztof